Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::DenseGenMatrixSpace Class Reference

This is the matrix space for DenseGenMatrix. More...

`#include <IpDenseGenMatrix.hpp>`

Inheritance diagram for Ipopt::DenseGenMatrixSpace:
[legend]

## Public Member Functions
DenseGenMatrix * | MakeNewDenseGenMatrix () const
| Method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Constructors / Destructors
| DenseGenMatrixSpace (Index nRows, Index nCols)
| Constructor for matrix space for DenseGenMatrices. More...
| ~DenseGenMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Detailed Description

This is the matrix space for DenseGenMatrix.

Definition at line 208 of file IpDenseGenMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseGenMatrixSpace::DenseGenMatrixSpace | ( | Index | nRows,
|  | Index | nCols
| ) |  |

Constructor for matrix space for DenseGenMatrices.

Takes in dimension of the matrices.

Ipopt::DenseGenMatrixSpace::~DenseGenMatrixSpace | ( |  | ) |
| inline

Destructor.

Definition at line 219 of file IpDenseGenMatrix.hpp.

## Member Function Documentation

DenseGenMatrix* Ipopt::DenseGenMatrixSpace::MakeNewDenseGenMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 224 of file IpDenseGenMatrix.hpp.

virtual Matrix* Ipopt::DenseGenMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 231 of file IpDenseGenMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpDenseGenMatrix.hpp